## com.gargoylesoftware.htmlunit.html
Class Util

    java.lang.Object
      com.gargoylesoftware.htmlunit.html.Util

    public final class Util

extends java.lang.Object

Provides some utilities for working on the Html document.

Version:
  $Revision: 4002 $
Author:
  Marc Guillemot, Ahmed Ashour

Method Summary
`static java.util.Iterator<DomNode>` `getFollowingAxisIterator(DomNode contextNode)` Gets an iterator over all following nodes, depth-first.
`static java.util.Iterator<DomNode>` `getFollowingSiblingAxisIterator(DomNode contextNode)` Gets an iterator over all following nodes, depth-first.
`static java.util.Iterator<DomNode>` `getPrecedingAxisIterator(DomNode contextNode)` Gets an iterator over all preceding nodes, depth-first.
`static java.util.Iterator<DomNode>` `getPrecedingSiblingAxisIterator(DomNode contextNode)` Gets an iterator over all preceding siblings.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getFollowingSiblingAxisIterator

    public static java.util.Iterator<DomNode> getFollowingSiblingAxisIterator(DomNode contextNode)

  Gets an iterator over all following nodes, depth-first.

  Parameters:
    `contextNode` - the context node for the following axis
  Returns:
    a possibly-empty iterator (not null)

### getPrecedingSiblingAxisIterator

    public static java.util.Iterator<DomNode> getPrecedingSiblingAxisIterator(DomNode contextNode)

  Gets an iterator over all preceding siblings.

  Parameters:
    `contextNode` - the context node for the preceding sibling axis
  Returns:
    a possibly-empty iterator (not null)

### getFollowingAxisIterator

    public static java.util.Iterator<DomNode> getFollowingAxisIterator(DomNode contextNode)

  Gets an iterator over all following nodes, depth-first.

  Parameters:
    `contextNode` - the context node for the following axis
  Returns:
    a possibly-empty iterator (not null)

### getPrecedingAxisIterator

    public static java.util.Iterator<DomNode> getPrecedingAxisIterator(DomNode contextNode)

  Gets an iterator over all preceding nodes, depth-first.

  Parameters:
    `contextNode` - the context node for the preceding axis
  Returns:
    a possibly-empty iterator (not null)

Copyright © 2002-2011 Gargoyle Software Inc.. All Rights Reserved.